24 votes

Groovy JDK 11 désactiver le message AVERTISSEMENT

<p>Quand je cours <strong>Groovy 2.5.3</strong> sur <strong>JDK 11</strong> son message d’avertissement de donner:<pre class="lang-sh prettyprint-override"><code></code></pre><p><strong><em>Existe-t-il une option pour désactiver ce message d’avertissement ?</em></strong></p></p>

3voto

kba Points 10874
<p>Vous pouvez désactiver les avertissements Java avec <code></code> comme correctif temporaire :<pre><code></code></pre></p>

1voto

msuhovecky Points 11
<p>C’est toujours un problème dans<code></code><p>Je suis sur macOS. J’ai choisi de retomber à <strong>Java 8</strong> (Dans homebrew, faire un <strong><em>fût de brassage installer adoptopenjdk8</em></strong>) et les avertissements ont disparu. Je comprends que ce n’est pas souhaitable si vous avez besoin d’un plus récent JDK (je n’ai pas)</p></p>

1voto

centic Points 1898
<p>La version stable actuelle <a href="https://groovy.apache.org/download.html" rel="nofollow noreferrer">3.0.x</a> de Groovy est signalé pour résoudre ce problème, voir <a href="https://issues.apache.org/jira/browse/GROOVY-8339" rel="nofollow noreferrer">GROOVY-8339</a> pour la discussion détaillée.</p>

Prograide.com

Prograide est une communauté de développeurs qui cherche à élargir la connaissance de la programmation au-delà de l'anglais.
Pour cela nous avons les plus grands doutes résolus en français et vous pouvez aussi poser vos propres questions ou résoudre celles des autres.

Powered by:

X